Subject: Re: [PATCH net-next 01/15] batman-adv: drop batman-adv specific version

From: Sven Eckelmann <[email-masked]>
Date: Fri, 29 May 2026 09:06:56 +0200

On Friday, 29 May 2026 02:14:12 CEST Jakub Kicinski wrote:
> On Thu, 28 May 2026 16:29:10 +0200 Simon Wunderlich wrote:
> > +#define BATADV_SOURCE_VERSION "linux-" UTS_RELEASE
> 
> What purpose that does "linux-" prefix serve?
> The unwritten rule is that the OOT drivers have to append something 
> to their version to distinguish themselves. In-tree version is just
> the pure kernel version.

We don't have a real preference here. If you prefer UTS_RELEASE only then I 
get rid of BATADV_SOURCE_VERSION and just use it in both places in
version.c

https://git.open-mesh.org/batadv.git/commit/?id=8cc63db2462ad7d3ee213059025bf5fffe2e7982

> To be clear, definitely a move in the right direction. I hope we can
> move _all the way_ in the right direction, tho, without still defining
> OOT-feeling version.h file with a dedicated BATADV_SOURCE_VERSION

version.c and version.h are there to not recompile more parts of batman-adv 
than necessary when the linux kernel version changes. Has nothing to do
with OOT. If you consider this a no-go, I can also just place 
generated/utsrelease.h + UTS_RELEASE in the three different files.

Regards,
	Sven